libngs-sdk2_2.9.3-1_amd64.deb


Advertisement

Description

libngs-sdk2 - Next Generation Sequencing language Bindings

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename libngs-sdk2_2.9.3-1_amd64.deb
Package name libngs-sdk2
Package version 2.9.3
Package release 1
Package architecture amd64
Package type deb
Category universe/libs
Homepage https://github.com/ncbi/ngs
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 59.45 KB
Installed size 320.00 KB
NGS is a new, domain-specific API for accessing reads, alignments and
pileups produced from Next Generation Sequencing. The API itself is
independent from any particular back-end implementation, and supports
use of multiple back-ends simultaneously. It also provides a library for
building new back-end "engines". The engine for accessing SRA data is
contained within the sister repository ncbi-vdb.
The API is currently expressed in C++, Java and Python languages. The
design makes it possible to maintain a high degree of similarity between
the code in one language and code in another - especially between C++
and Java.

Alternatives

Package Version Architecture Repository
libngs-sdk2_2.9.3-1_i386.deb 2.9.3 i386 Ubuntu Universe
libngs-sdk2 - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libstdc++6 >= 5.2

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libngs-sdk2_2.9.3-1_amd64.deb
Source Package ngs-sdk

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libngs-sdk2 deb package:
    # sudo apt-get install libngs-sdk2

Files

Path
/usr/lib/x86_64-linux-gnu/libngs-sdk.so.2
/usr/lib/x86_64-linux-gnu/libngs-sdk.so.2.9.3
/usr/share/doc/libngs-sdk2/README.html
/usr/share/doc/libngs-sdk2/changelog.Debian.gz
/usr/share/doc/libngs-sdk2/copyright

Changelog

2018-12-21 - Andreas Tille <tille@debian.org>
ngs-sdk (2.9.3-1) unstable; urgency=medium
* New upstream version
* Point Vcs fields to salsa.debian.org
* Standards-Version: 4.2.1
* Secure URI in copyright format
* Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
* Remove trailing whitespace in debian/changelog
2018-03-24 - Andreas Tille <tille@debian.org>
ngs-sdk (2.9.0-1) unstable; urgency=medium
* New upstream version
* Standards-Version: 4.1.3
* debhelper 11
* Soname change for library: s/libngs-sdk1/libngs-sdk2/
* New Build-Depends: python3-distutils
2017-08-28 - Andreas Tille <tille@debian.org>
ngs-sdk (1.3.0-3) unstable; urgency=medium
[ Scott Kitterman ]
* Reduce unneeded build-dep on python3-all-dev to python3-all
Closes: #866514
[ Andreas Tille ]
* debhelper 10
* Standards-Version: 4.1.0 (no changes needed)
* d/rules: do not parse d/changelog
* hardening=+all
2017-04-01 - Andreas Tille <tille@debian.org>
ngs-sdk (1.3.0-2) unstable; urgency=medium
* Fix install dir by using DEB_HOST_MULTIARCH instead of DEB_BUILD_GNU_TYPE
(thanks for the patch to Graham Inggs <ginggs@debian.org>)
Closes: #859257
2016-11-09 - Andreas Tille <tille@debian.org>
ngs-sdk (1.3.0-1) unstable; urgency=medium
* New upstream release
* hardening=+bindnow
2016-08-18 - Olivier Sallou <osallou@debian.org>
ngs-sdk (1.2.5-1) unstable; urgency=medium
* New upstream release
2016-07-06 - Vincent Danjean <vdanjean@debian.org>
ngs-sdk (1.2.4-2) unstable; urgency=medium
* Add a maven2 pom file for libjava-ngs
2016-06-06 - Andreas Tille <tille@debian.org>
ngs-sdk (1.2.4-1) unstable; urgency=medium
* New upstream version
* Add missing header files to devel package
2016-04-10 - Andreas Tille <tille@debian.org>
ngs-sdk (1.2.3-3) unstable; urgency=medium
[ Andreas Tille ]
* Really get the build working even if build results are moved to the
wrong dir by the build system
* cme fix dpkg-control
* DEP5
[ Steffen Moeller ]
* Depend on default-jdk, not openjdk-8-java, introduce flags to javac
to avoid Java8 bytecode, eliminating a lintian warning.
* Bumped policy to 3.9.7, no changes required.
2016-02-06 - Andreas Tille <tille@debian.org>
ngs-sdk (1.2.3-2) unstable; urgency=medium
* debian/rules: create dynamic library in expected directory
Closes: #813557
* Turn architecture checking for non-Intel architectures from error into
warning that does not cause a failure
Closes: #813559

See Also

Package Description
libngspice0-dev_30.2-1_amd64.deb Spice circuit simulator - development files for libngspice
libngspice0_30.2-1_amd64.deb Spice circuit simulator - library
libnhgri-blastall-perl_0.66-3_all.deb Perl extension for running and parsing NCBI's BLAST 2.x
libnice-dev_0.1.14-1_amd64.deb ICE library (development files)
libnice-doc_0.1.14-1_all.deb ICE library (documentation)
libnice10_0.1.14-1_amd64.deb ICE library (shared library)
libnids-dev_1.24-5_amd64.deb IP defragmentation TCP segment reassembly library (development)
libnids1.21_1.24-5_amd64.deb IP defragmentation TCP segment reassembly library
libnifti-dev_2.0.0-3_amd64.deb IO libraries for the NIfTI-1 data format
libnifti-doc_2.0.0-3_all.deb NIfTI library API documentation
libnifti2_2.0.0-3_amd64.deb IO libraries for the NIfTI-1 data format
libnini-cil-dev_1.1.0+dfsg.2-5_all.deb CLI library for managing configuration files
libnini-doc_1.1.0+dfsg.2-5_all.deb CLI library for managing configuration files (Documentation)
libnini1.1-cil_1.1.0+dfsg.2-5_all.deb CLI library for managing configuration files
libnis-dev_3.3-5.1ubuntu1_amd64.deb Library for NIS applications - development files
Advertisement
Advertisement